View Issue Details

IDProjectCategoryView StatusLast Update
0004911SOGoActiveSyncpublic2020-01-20 17:55
Reporterondrej.kolin Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityhave not tried
Status newResolutionfixed 
PlatformLinux ServerOSUbuntuOS Version18.04
Product Version4.1.1 
Summary0004911: Event accept removes notifications from events
Description

When an user accepts an event in calendar, that previously had a notification this event losses notification attribute (as it had it before)

Steps To Reproduce

Create an event with notification (we tried it in Google Calendar)
Invite local Sogo user - notification is still there
Local user accepts the event -> notification disappears

TagsNo tags attached.

Activities

ondrej.kolin

ondrej.kolin

2019-12-18 08:45

reporter  

configuration.sogo.conf (2,599 bytes)   
{  
  NGImap4DisableIMAP4Pooling = "NO";
  NGImap4ConnectionStringSeparator = ".";
  OCSFolderInfoURL = "mysql://sogo:password@xxx.xxx.xxx.210:3306/sogo/sogo_folder_info";
  OCSStoreURL = "mysql://sogo:password@xxx.xxx.xxx.210:3306/sogo/sogo_store";
  OCSAclURL = "mysql://sogo:password@xxx.xxx.xxx.210:3306/sogo/sogo_acl";
  OCSCacheFolderURL = "mysql://sogo:password@xxx.xxx.xxx.210:3306/sogo/sogo_cache_folder";
  OCSSessionsFolderURL = "mysql://sogo:password@xxx.xxx.xxx.210:3306/sogo/sogo_sessions_folder";
  SOGoACLsSendEMailNpotifications = YES;
  SOGoAppointmentSendEMailNotifications = YES;
  SOGoAuthenticationMethod = LDAP;
  SOGoEnablePublicAccess = YES;
  SOGoFirstDayOfWeek = 1;
  SOGoFirstWeekOfYear = First4DayWeek;
  SOGoTimeZone = Europe/Berlin;
  SOGoFoldersSendEMailNotifications = YES;
  SOGoSharedFolderName = "shared Folders";
  SOGoOtherUsersFolderName = "Other Users";
  SOGoVacationEnabled = YES;
  SOGoIMAPServer = "imap://xxx.xxx.xxx.40:143/?tls=YES";
  SOGoLanguage = "";
  SOGoMailDomain = "benocs.com";
  SOGoMailMessageCheck = "every_minute";
  SOGoMailingMechanism = smtp;
  SOGoPasswordChangeEnabled = YES;
  SOGoProfileURL = "mysql://sogo:password@xxx.xxx.xxx.210:3306/sogo/sogo_user_profile";
  SOGoSMTPServer = "xxx.xxx.xxx.40";
  SOGoSieveScriptsEnabled = YES;
  SOGoForwardEnabled = YES;
  SOGoSieveServer = "sieve://xxx.xxx.xxx.40:4190/?tls=YES";
  SOGoSuperUsernames = (
      okolin,
      ipoese
  );
  WOUseRelativeURLs = YES;
  SOGoUserSources = (
    {
    CNFieldName = cn;
    IDFieldName = cn;
    IMAPHostFieldName = gosaMailServer;
    IMAPLoginFieldName = uid;
    UIDFieldName = uid;
    baseDN = "dc=mail,dc=xeropath,dc=com";
    bindDN = "cn=admin,dc=mail,dc=xeropath,dc=com";
    bindFields = (uid, mail);
    bindPassword = "NXn23dTa(8(X";
    canAuthenticate = YES;
    displayName = "Other users";
    hostname = "ldaps://server.benocs.com:636";
    id = public;
    type = ldap;
    isAddressBook = YES;
    MailFieldNames = (mail, gosaMailAlternateAddress);
    userPasswordAlgorithm = ssha;
    filter = "(objectClass!='gosaUserTemplate')";
    }
    );
  MySQL4Encoding = "utf8mb4";
  // MySQL4DebugEnabled = YES
  // Tweak options:
	WOWatchDogRequestTimeout = 10;
	SOGoMaximumPingInterval = 354;
	SOGoMaximumSyncInterval = 354;
	SOGoInternalSyncInterval = 30;
	SOGoMaximumSyncResponseSize = 512;
	SOGoMaximumSyncWindowSize = 256;
	SOGoEASDebugEnabled = YES;
	WOWatchDogRequestTimeout = 60;
  // Tweaks 20191213
        SOGoMaximumSyncResponseSize = 4096; 
	SOGoMaximumSyncWindowSize = 1023;
  // Tweaks 20191218
	SxVMemLimit = 768;
}

configuration.sogo.conf (2,599 bytes)   
test6.ics (1,412 bytes)   
BEGIN:VCALENDAR
PRODID:-//Google Inc//Google Calendar 70.9054//EN
VERSION:2.0
CALSCALE:GREGORIAN
METHOD:REQUEST
BEGIN:VEVENT
DTSTART:20191218T133000Z
DTEND:20191218T143000Z
DTSTAMP:20191218T131802Z
ORGANIZER;CN=stephan.schroeder@gmail.com:mailto:stephan.schroeder@gmail.com
UID:537d33a2bqjmihv8f9pn41gkn1@google.com
ATTENDEE;CUTYPE=INDIVIDUAL;ROLE=REQ-PARTICIPANT;PARTSTAT=NEEDS-ACTION;RSVP=
 TRUE;CN=sschroeder@benocs.com;X-NUM-GUESTS=0:mailto:sschroeder@benocs.com
ATTENDEE;CUTYPE=INDIVIDUAL;ROLE=REQ-PARTICIPANT;PARTSTAT=ACCEPTED;RSVP=TRUE
 ;CN=stephan.schroeder@gmail.com;X-NUM-GUESTS=0:mailto:stephan.schroeder@gma
 il.com
X-MICROSOFT-CDO-OWNERAPPTID:2120686023
CREATED:20191218T131800Z
DESCRIPTION:-::~:~::~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~
 :~:~:~:~:~:~:~:~::~:~::-\nDiesen Abschnitt der Beschreibung nicht bearbeite
 n.\n\nZeigen Sie Ihren Termin unter https://www.google.com/calendar/event?a
 ction=VIEW&eid=NTM3ZDMzYTJicWptaWh2OGY5cG40MWdrbjEgc3NjaHJvZWRlckBiZW5vY3Mu
 Y29t&tok=Mjcjc3RlcGhhbi5zY2hyb2VkZXJAZ21haWwuY29tOTc2M2I3YzI5ZTc0YzBmYmJhNz
 E0Y2FlNWQ1OWVlNGVlYTNlZmMxOQ&ctz=Europe%2FBerlin&hl=de&es=1 an.\n-::~:~::~:
 ~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~::~:~:
 :-
LAST-MODIFIED:20191218T131800Z
LOCATION:
SEQUENCE:0
STATUS:CONFIRMED
SUMMARY:test6 accept in SOGo 18min
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

test6.ics (1,412 bytes)   
test8.ics (1,364 bytes)   
BEGIN:VCALENDAR
PRODID:-//Google Inc//Google Calendar 70.9054//EN
VERSION:2.0
CALSCALE:GREGORIAN
METHOD:REQUEST
BEGIN:VEVENT
DTSTART:20191218T180000Z
DTEND:20191218T190000Z
DTSTAMP:20191218T131928Z
ORGANIZER;CN=user@gmail.com:mailto:user@gmail.com
UID:713haqbaogerehvc44pqpu2jbs@google.com
ATTENDEE;CUTYPE=INDIVIDUAL;ROLE=REQ-PARTICIPANT;PARTSTAT=ACCEPTED;RSVP=TRUE
 ;CN=user@gmail.com;X-NUM-GUESTS=0:mailto:user@gma
 il.com
ATTENDEE;CUTYPE=INDIVIDUAL;ROLE=REQ-PARTICIPANT;PARTSTAT=NEEDS-ACTION;RSVP=
 TRUE;CN=local_sogo@benocs.com;X-NUM-GUESTS=0:mailto:local_sogo@benocs.com
X-MICROSOFT-CDO-OWNERAPPTID:1676626213
CREATED:20191218T131922Z
DESCRIPTION:-::~:~::~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~
 :~:~:~:~:~:~:~:~::~:~::-\nDiesen Abschnitt der Beschreibung nicht bearbeite
 n.\n\nZeigen Sie Ihren Termin unter https://www.google.com/calendar/event?a
 ction=VIEW&eid=NzEzaGFxYmFvZ2VyZWh2YzQ0cHFwdTJqYnMgc3NjaHJvZWRlckBiZW5vY3Mu
 Y29t&tok=Mjcjc3RlcGhhbi5zY2hyb2VkZXJAZ21haWwuY29tZjdjYjlmY2U1Njk2NTQwYTJjZT
 kxMmFkMGRhMWM4MjIyOGE1ZmY3Mg&ctz=Europe%2FBerlin&hl=de&es=1 an.\n-::~:~::~:
 ~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~:~::~:~:
 :-
LAST-MODIFIED:20191218T131922Z
LOCATION:
SEQUENCE:0
STATUS:CONFIRMED
SUMMARY:Test 8 accept in mobile 21min
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

test8.ics (1,364 bytes)   
tfu

tfu

2019-12-18 11:17

reporter   ~0013989

I did a quick test, but it works for me. Maybe I misunderstood your problem.
Can you describe step by step on how to reproduce the problem? Some screenshots would make your problem more clear.

ondrej.kolin

ondrej.kolin

2019-12-19 04:10

reporter   ~0013996

We have two accounts in the office, mine is working, the second one removes the notification after pressing the "Accept" event (and syncing if in Outlook). Mine does nothing from above. Step by step:

Reproducing:
Google Account creates an event
Notification added to the event
Invitation send to okolin (me) and another user.
We both see in Outlook a new event, that can be accepted
For both of us the event has a notification on itself
When Accepted the notification is in there
The other user loses the notification after sync is done (or immediatly, when accepted in the web interface)
We both are using Outlook 365.

If thought it is a bug, can this be triggered by some misconfiguration on our side?

tfu

tfu

2019-12-19 04:31

reporter   ~0013998

So you can reproduce the problem only with one specific user? If this is true I doubt that I'll be able to reproduce.
The behaviour might be influenced or caused by some other "problem event" like the event mentioned in bug 4910.

ondrej.kolin

ondrej.kolin

2019-12-20 05:26

reporter   ~0014004

We will try to reproduce it again, do you have any Idea, if some settings in sogo.conf can affect this behaviour regards notifications on events? Any recommendations?

tfu

tfu

2019-12-20 08:07

reporter   ~0014007

You can set SOGoEASDebugEnabled = YES; and check sogo.log for the EAS related client-server communication.

ondrej.kolin

ondrej.kolin

2020-01-08 05:43

reporter   ~0014033

I was able to reproduce it on other accounts as well. Here are images of how I did it.

Even the web interface of SOGo is somehow broken, as it displays the notification at the event in the list of upcomming events, but not in the week view.

The images shows me reproducing the issue. I don't think it is ActiveSync related, because I had the Outlook off, when I tried to reproduce it in the SOGo interface.

tfu

tfu

2020-01-14 15:22

reporter   ~0014059

Ok. Reproduced the problem - the reminder is not synced as expected.

Related Changesets

sogo: master 9221811f

2020-01-20 12:50:39

root

Details Diff
fix(eas): sync reminder for invitation (fixes 0004911) Affected Issues
0004911
mod - ActiveSync/SOGoActiveSyncDispatcher.m Diff File
mod - ActiveSync/iCalEvent+ActiveSync.m Diff File

sogo: master c69382cb

2020-01-20 17:55:17

ludovic


Committer: GitHub Details Diff
Merge pull request 0000268 from tfux/4911

fix(eas): sync reminder for invitation (fixes 0004911)
Affected Issues
0004911
mod - ActiveSync/SOGoActiveSyncDispatcher.m Diff File
mod - ActiveSync/iCalEvent+ActiveSync.m Diff File

Issue History

Date Modified Username Field Change
2019-12-18 08:45 ondrej.kolin New Issue
2019-12-18 08:45 ondrej.kolin File Added: configuration.sogo.conf
2019-12-18 08:45 ondrej.kolin File Added: test6.ics
2019-12-18 08:45 ondrej.kolin File Added: test8.ics
2019-12-18 11:17 tfu Note Added: 0013989
2019-12-19 04:10 ondrej.kolin Note Added: 0013996
2019-12-19 04:31 tfu Note Added: 0013998
2019-12-20 05:26 ondrej.kolin Note Added: 0014004
2019-12-20 08:07 tfu Note Added: 0014007
2020-01-08 05:43 ondrej.kolin File Added: Screenshot from 2020-01-08 11-30-29.png
2020-01-08 05:43 ondrej.kolin File Added: Screenshot from 2020-01-08 11-30-40.png
2020-01-08 05:43 ondrej.kolin File Added: Screenshot from 2020-01-08 11-30-53.png
2020-01-08 05:43 ondrej.kolin File Added: Screenshot from 2020-01-08 11-31-24.png
2020-01-08 05:43 ondrej.kolin File Added: Screenshot from 2020-01-08 11-31-48.png
2020-01-08 05:43 ondrej.kolin File Added: Screenshot from 2020-01-08 11-32-12.png
2020-01-08 05:43 ondrej.kolin File Added: Screenshot from 2020-01-08 11-35-02.png
2020-01-08 05:43 ondrej.kolin File Added: Screenshot from 2020-01-08 11-35-38.png
2020-01-08 05:43 ondrej.kolin Note Added: 0014033
2020-01-14 15:22 tfu Note Added: 0014059
2020-01-20 17:55 Changeset attached => sogo master 9221811f
2020-01-20 17:55 ludovic Changeset attached => sogo master c69382cb
2020-01-20 17:55 ludovic Assigned To => ludovic
2020-01-20 17:55 ludovic Resolution open => fixed